summaryrefslogtreecommitdiff
path: root/src/pal/tools
diff options
context:
space:
mode:
authorAdeel <adeelbm@outlook.com>2019-03-08 11:04:43 -0800
committerAdeel <adeelbm@outlook.com>2019-03-08 11:04:43 -0800
commit4cfaacd6c29d033bb11869ca9ff700991965c051 (patch)
tree617a761ca94735045eb68b5c137ee6ebc2b311d2 /src/pal/tools
parent998e8efa2f0b2ba1e23c4ce582bba3d0f0001727 (diff)
downloadcoreclr-4cfaacd6c29d033bb11869ca9ff700991965c051.tar.gz
coreclr-4cfaacd6c29d033bb11869ca9ff700991965c051.tar.bz2
coreclr-4cfaacd6c29d033bb11869ca9ff700991965c051.zip
Use CLR_LINK
Diffstat (limited to 'src/pal/tools')
-rwxr-xr-xsrc/pal/tools/gen-buildsys-gcc.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/src/pal/tools/gen-buildsys-gcc.sh b/src/pal/tools/gen-buildsys-gcc.sh
index 89ec26be9b..0d66368048 100755
--- a/src/pal/tools/gen-buildsys-gcc.sh
+++ b/src/pal/tools/gen-buildsys-gcc.sh
@@ -47,10 +47,8 @@ fi
if [ -z "$CLR_CC" ]; then
CC="$(command -v "${gcc_prefix}gcc$desired_gcc_version")"
- gcc_link="$(command -v link)"
else
CC="$CLR_CC"
- gcc_link="$CC"
fi
if [ -z "$CLR_CXX" ]; then
@@ -109,6 +107,8 @@ locate_gcc_exec() {
fi
}
+if ! gcc_link="$(locate_gcc_exec link)"; then { echo "Unable to locate link"; exit 1; } fi
+
if ! gcc_ar="$(locate_gcc_exec ar)"; then { echo "Unable to locate gcc-ar"; exit 1; } fi
if ! gcc_nm="$(locate_gcc_exec nm)"; then { echo "Unable to locate gcc-nm"; exit 1; } fi